Package twisted :: Package spread :: Module pb :: Class AsReferenceable

[show private | hide private]
[frames | no frames]

## Class AsReferenceable

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       AsReferenceable

AsReferenceable: a reference directed towards another object.

Method Summary
| ``__init__`(self, object, messageType)` Initialize me with an object.
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Method Details

### __init__(self, object, messageType='remote')
(Constructor)

Initialize me with an object.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:24 2003 | http://epydoc.sf.net